gbase(1)

NAME
gbase - sets the base value of a source graph

SYNOPSIS
gbase [options] bval [igfile] [ogfile]

DESCRIPTION
The gbase program allows one to set to bval the base value of a source graph, that is, the starting index used to number its vertices and edges. The base value can be set to 0 or 1, so that graphs can be easily imported from and/or exported to tools written in C or Fortran. Scotch can handle graphs irrespective of their base value.

When the proper libraries have been included at compile time, gbase can directly handle compressed graphs, both as input and output. A stream is treated as compressed whenever its name is postfixed with a compressed file extension, such as in 'brol.grf.bz2' or '-.gz'. The compression formats which can be supported are the bzip2 format ('.bz2'), the gzip format ('.gz'), and the lzma format ('.lzma').

OPTIONS

-h  Display some help.

-V  Display program version and copyright.

EXAMPLE
Set the base of graph 'brol.grf' to 1, and write the modified graph to file 'brol_b1.grf'.

    $ gbase 1 brol.grf brol_b1.grf

SEE ALSO
gcv(1), gmk_hy(1), gmk_msh(1), gtst(1), gmap(1), gord(1).

Scotch user's manual.

AUTHOR
Francois Pellegrini <francois.pellegrini@labri.fr>